"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.15.2_patch_hash_jclkxeaefn6uz54h34k3r3yjsq_@mantine_hooks@7.15.2_react@18.3.1_szqfuioo5damkjdixckhzmwycq/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconInfo2 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: "1em",
      height: "1em",
      fill: "none",
      viewBox: "0 0 24 24",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          fill: "currentColor",
          d: "M11.5 11.5v7h2v-7zm1 7v-7h-2v7zM12 18a.5.5 0 0 1 .5.5h-2A1.5 1.5 0 0 0 12 20zm-.5.5a.5.5 0 0 1 .5-.5v2a1.5 1.5 0 0 0 1.5-1.5zM12 12a.5.5 0 0 1-.5-.5h2A1.5 1.5 0 0 0 12 10zm0-2a1.5 1.5 0 0 0-1.5 1.5h2a.5.5 0 0 1-.5.5zm0-4v2a2 2 0 0 0 2-2zm0 0h-2a2 2 0 0 0 2 2zm0 0V4a2 2 0 0 0-2 2zm0 0h2a2 2 0 0 0-2-2z",
          strokeWidth: "inherit",
          stroke: "currentColor"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconInfo2);
const Info2 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(Box.Box, { ref, ...props, component: ForwardRef });
});
Info2.displayName = "IconInfo2";
exports.default = Info2;
